package eu.dnetlib.validatorapi.routes;

import org.apache.camel.builder.RouteBuilder;

public class OaiSetListRoute extends RouteBuilder {

    private final String oaiEndpoint;

    public String xml = new String();
    public OaiSetListRoute(final String oaiEndpoint) {
        this.oaiEndpoint = oaiEndpoint;
    }

    @Override
    public void configure() throws Exception {
       /* from(oaiEndpoint).process(exchange -> {
           // System.out.println(exchange.getIn().getBody(String.class));
            xml+=exchange.getIn().getBody(String.class)+"\n\n Katerina \n\n";
        });*/

        from(oaiEndpoint)
                .convertBodyTo(String.class) // Convert response to String
                .marshal().json() // Convert String to JSON
                .to("direct:serveResponse")
                .log("JSON Response: ${body}");

        // Serve the JSON response
        from("direct:serveResponse")
                .setHeader("Content-Type", constant("application/json")) // Set the response content type
                .setHeader("CamelHttpResponseCode", constant(200)) // Set the HTTP response code
                .setBody(simple("${body}")) // Set the response body
                .log("${body}")
                .to("mock:result"); // Replace 'mock:result' with the appropriate endpoint to serve the response
    }
}
